LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::sheet::ConditionFormatOperator Constant Group Reference

## Variables
const long | EQUAL = 0
const long | LESS = 1
const long | GREATER = 2
const long | LESS_EQUAL = 3
const long | GREATER_EQUAL = 4
const long | NOT_EQUAL = 5
const long | BETWEEN = 6
const long | NOT_BETWEEN = 7
const long | DUPLICATE = 8
const long | UNIQUE = 9
const long | TOP_N_ELEMENTS = 10
const long | BOTTOM_N_ELEMENTS = 11
const long | TOP_N_PERCENT = 12
const long | BOTTOM_N_PERCENT = 13
const long | ABOVE_AVERAGE = 14
const long | BELOW_AVERAGE = 15
const long | ABOVE_EQUAL_AVERAGE = 16
const long | BELOW_EQUAL_AVERAGE = 17
const long | ERROR = 18
const long | NO_ERROR = 19
const long | BEGINS_WITH = 20
const long | ENDS_WITH = 21
const long | CONTAINS = 22
const long | NOT_CONTAINS = 23
const long | EXPRESSION = 24

## Variable Documentation

## ◆ ABOVE_AVERAGE

const long ABOVE_AVERAGE = 14

## ◆ ABOVE_EQUAL_AVERAGE

const long ABOVE_EQUAL_AVERAGE = 16

## ◆ BEGINS_WITH

const long BEGINS_WITH = 20

## ◆ BELOW_AVERAGE

const long BELOW_AVERAGE = 15

## ◆ BELOW_EQUAL_AVERAGE

const long BELOW_EQUAL_AVERAGE = 17

## ◆ BETWEEN

const long BETWEEN = 6

## ◆ BOTTOM_N_ELEMENTS

const long BOTTOM_N_ELEMENTS = 11

## ◆ BOTTOM_N_PERCENT

const long BOTTOM_N_PERCENT = 13

## ◆ CONTAINS

const long CONTAINS = 22

## ◆ DUPLICATE

const long DUPLICATE = 8

## ◆ ENDS_WITH

const long ENDS_WITH = 21

## ◆ EQUAL

const long EQUAL = 0

## ◆ ERROR

const long ERROR = 18

## ◆ EXPRESSION

const long EXPRESSION = 24

## ◆ GREATER

const long GREATER = 2

## ◆ GREATER_EQUAL

const long GREATER_EQUAL = 4

## ◆ LESS

const long LESS = 1

## ◆ LESS_EQUAL

const long LESS_EQUAL = 3

## ◆ NO_ERROR

const long NO_ERROR = 19

## ◆ NOT_BETWEEN

const long NOT_BETWEEN = 7

## ◆ NOT_CONTAINS

const long NOT_CONTAINS = 23

## ◆ NOT_EQUAL

const long NOT_EQUAL = 5

## ◆ TOP_N_ELEMENTS

const long TOP_N_ELEMENTS = 10

## ◆ TOP_N_PERCENT

const long TOP_N_PERCENT = 12

## ◆ UNIQUE

const long UNIQUE = 9